using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Core;

public static class TransformExtensions
{
    public static ITransform SetTransform(this ITransform transform, Vector2D? position = null, float? rotation = null, Vector2D? scale = null)
    {
        if (position.HasValue) transform.Position = position.Value;
        if (rotation.HasValue) transform.Rotation = rotation.Value;
        if (scale.HasValue) transform.Scale = scale.Value;
        return transform;
    }
}
